SKF GoPlant
Api Reference 101

Round Instances

Get drafted and completed round data based on query parameters.

Round instances are available via the API once an operator commits or drafts any element of the round instance.

Round instances are scoped based on their round's storage group. If the round's storage group is outside of the user's scope, the round instance is not available to that user.

GET /api/rest/round-instances Get a list of drafted and completed rounds within the user’s scope based on query parameters.

Get a list of round instances over the past 24 hours. If there are more than 1,000 round instances, call the API again using the From-Round-Instance-UUID parameter.

Request

                GET https://{goplant_instance}/api/rest/round-instances
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of round instances started between December 1st, 5:00 and December 2nd, 18:00. All times are specified using UTC.

Request

                GET https://{goplant_instance}/api/rest/round-instances?Start-Time=2025-12-01T05:00:00&End-Time=2025-12-02T18:00:00
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            

Get a list of round-instances starting with round instance UUID 1234-5678-9012-3456 that are in storage groups 0001-0002-0003-0004 and 1111-2222-3333-4444.

Request

                GET https://{goplant_instance}/api/rest/round-instances?From-Round-Instance-UUID=1234-5678-9012-3456&Storage-Group-UUID=0001-0002-0003-0004,1111-2222-3333-4444
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
URI Query Parameters
End-Time
Limit round instances to those started before the indicated end date and time. End-Time is specified as a UTC string.
If no End-Time is specified, the default value of current time in UTC is used.
string optional
From-Round-Instance-UUID
Limit round instances to the specified round instance UUID and those that follow it.
string optional
Max-Responses
Limit the number of round instances returned. The maximum value is 1,000 which is also the default value.
string optional
Start-Time
Limit round instances to those started after the indicated start date and time. Start-Time is specified as a UTC string.
If neither Start-Time nor From-Round-Instance-UUID is specified, the default value of 24 hours before the current time in UTC is used.
If Start-Time is not specified, but From-Round-Instance-UUID is specified, Start-Time takes no default value and is ignored.
string optional
Storage-Group-UUID
Limit round instances to those in the specified storage group(s). Multiple group UUIDs may be specified, separated by commas.
If the user specifies a group outside of their scope, an error will be returned.
string optional
Response Body Array of round instances
count
Number of round instances returned in this call
integer
nextRoundInstanceUuid
The UUID of the round instance after the last round instances returned by this call. Null if there are no more round instances
string
roundInstances
Array of in-flight and completed rounds within the current user’s scope
array of round-instance-type
uuid
Unique ID of in-flight or completed round
string
uri
In-flight or completed round URI
string
roundName
Round name
string
roundVariant
Name of round variant
string
roundStorageGroupName
Name of round's storage group
string
roundStoragGroupUri
URI of round's storage group
string
roundStartTimeUTC
UTC time when round was started
string
roundEndTimeUTC
UTC time when round was completed. Null if round is in progress
string
roundStatus
Status of round.
string
Possible values
Completed     Round has been completed
In Progress     Round is currently in progress
Not Started     Round has not yet been started
roundElementCount
Number of elements in round
integer
completedElementCount
Number of completed elements in round
integer
taskName
Name of task. Null if round was run outside of the context of a task
string
taskEventUri
URI of task event. Null if round was run outside of the context of a task
string
roundReviewStatus
Round Review Status
string
Possible Values
No Review     No review required
To be reviewed     Required review not completed
Review in progress     First of two reviews completed
Completed     Required reviews completed
GET /api/rest/round-instances/:uuid Get a single instance of a drafted or completed round.
Request

                GET https://{goplant_instance}/api/rest/round-instances/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested round instance
uuid
Unique ID of in-flight or completed round
string
uri
In-flight or completed round URI
string
roundName
Round name
string
roundVariant
Name of round variant
string
roundStorageGroupName
Name of round's storage group
string
roundStoragGroupUri
URI of round's storage group
string
roundStartTimeUTC
UTC time when round was started
string
roundEndTimeUTC
UTC time when round was completed. Null if round is in progress
string
roundStatus
Status of round
string
Possible Values
Completed     Round has been completed
In Progress     Round is currently in progress
Not Started     Round has not yet been started
roundElementCount
Number of elements in round
integer
completedElementCount
Number of completed elements in round
integer
taskName
Name of task. Null if round was run outside of the context of a task
string
taskEventUri
URI of task event. Null if round was run outside of the context of a task
string
roundReviewStatus
Round Review Status
string
Possible Values
No Review     No review required
To be reviewed     Required review not completed
Review in progress     First of two reviews completed
Completed     Required reviews completed
GET /api/rest/round-instances/:uuid/elements Get the list of round elements of a drafted or completed round.
Request

                GET https://{goplant_instance}/api/rest/round-instances/:uuid/elements
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of round elements
count
Number of round elements
integer
roundElements
List of elements that make up the round
array of round-elements
assetTag
Asset tag. May be null.
string
formName
Name of form
string
completedFormUri
URI of completed form. Null if form has not been completed
string
status
Round element status.
string
Possible Values
Completed    Element has been completed
In Progress    Element is in progress
Not Started    Element has not been started
Skipped    Element was not completed
startTimeUTC
UTC time when element was started. Null if not started
string
endTimeUTC
UTC time when element was completed. Null if not completed
string
GET /api/rest/round-instances/:uuid/reviews Get the list of reviews of a drafted or completed round.
Request

                GET https://{goplant_instance}/api/rest/round-instances/:uuid/reviews
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of completed reviews
count
Number of completed reviews for round
integer
roundReviews
List of completed reviews for round.
array of round-review-type
reviewComment
Comment from review
string
reviewTimeUTC
UTC time of review
string
userName
Name of reviewer
string